class Customer
  def initialize(name)
    @name    = name
    @rentals = Array.new
  end

  def addRental(arg)
    @rentals.push( arg )
  end

  def getName
    @name
  end

  def statement
    totalAmount = 0
    frequentRenterPoints = 0
    # Enumeration entries = rentals.elements();
    result = "Rental Record for " + getName + "\n"

    @rentals.each do |aRental|
      # determine amounts for each line
      thisAmount = aRental.amount

      # add frequent renter points
      frequentRenterPoints = frequentRenterPoints + 1
      # add bonus for a two day new release rental
      if (aRental.getMovie.getPriceCode == Movie::NEW_RELEASE) && aRental.getDaysRented > 1
         frequentRenterPoints = frequentRenterPoints + 1
      end

      # show figures for this rental
      result = result + "\t" + aRental.getMovie.getTitle +
               "\t" + thisAmount.to_s + "\n"
      totalAmount = totalAmount + thisAmount
    end

    # add footer lines
    result = result + "Amount owed is " + totalAmount.to_s + "\n"
    result = result +
             "You earned " + frequentRenterPoints.to_s +
             " frequent renter points"
    result
  end
end
