class Movie
  REGULAR     = 0
  NEW_RELEASE = 1
  CHILDRENS   = 2

  def initialize(title, priceCode)
    @title     = title
    setPriceCode(priceCode)
  end

  def getPriceCode
    @priceCode.getPriceCode
  end

  def setPriceCode(arg)
    case arg
      when Movie::REGULAR
        @priceCode = RegularMovie.new
      when Movie::NEW_RELEASE
        @priceCode = NewRelease.new
      when Movie::CHILDRENS
        @priceCode = ChildrensMovie.new
    end
  end

  def getTitle
    @title
  end

  def amount(daysRented)
    return @priceCode.amount(daysRented)
  end

end

class PriceCode
end

class RegularMovie < PriceCode
  def getPriceCode
     return Movie::REGULAR
  end

  def amount(daysRented)
    thisAmount = 2
    if daysRented > 2
       thisAmount = thisAmount + (daysRented - 2) * 1.5
    end
    return thisAmount
  end
end

class ChildrensMovie < PriceCode
  def getPriceCode
     return Movie::CHILDRENS
  end

  def amount(daysRented)
    thisAmount = 1.5
    if daysRented > 3
       thisAmount = thisAmount + (daysRented - 3) * 1.5
    end
    return thisAmount
  end
end

class NewRelease < PriceCode
  def getPriceCode
     return Movie::NEW_RELEASE
  end

  def amount(daysRented)
    return daysRented * 3
  end
end